# Список изменений в версии 1.0.1

## Добавлено

### Функциональный интерфейс
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BPYS-16 | Добавлена функция API `/cloudapi/account/list`. |
| BPYS-34 | Добавлена функция API `/cloudapi/account/update`. |
| BPYS-31 | Добавлена функция API `/cloudapi/account/get`. |
| BPYS-61 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.disks.image_ids` в связи с переименованием из `images`. |
| BPYS-61 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.disks.image_ids` в связи с переименованием из `images`. |
| BPYS-22 | Добавлена функция API `/cloudapi/account/listDeleted`. |
| BPYS-59 | Добавлены функции API `/cloudapi/disks/get`, `/cloudapi/disks/list`, `/cloudapi/disks/listDeleted`, `/cloudapi/disks/listUnattached`. |
| BPYS-59 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.disks.shared` в связи с переименованием из `shareable`. |
| BPYS-62 | Функция API `/cloudapi/compute/get`: добавлен параметр `vm_id` в связи с переименованием из `compute_id`. |
| BPYS-62 | Функция API `/cloudapi/compute/update`: добавлен параметр `vm_id` в связи с переименованием из `compute_id`. |
| BPYS-62 | Функция API `/cloudapi/compute/delete`: добавлен параметр `vm_id` в связи с переименованием из `compute_id`. |
| BPYS-36 | Добавлена функция API `/cloudapi/kvmx86/createBlank`. |
| BPYS-37 | Добавлена функция API `/cloudapi/compute/start`. |
| BPYS-38 | Добавлена функция API `/cloudapi/compute/stop`. |
| BPYS-39 | Добавлена функция API `/cloudapi/compute/reboot`. |
| BPYS-40 | Добавлена функция API `/cloudapi/compute/resize`. |
| BPYS-41 | Добавлена функция API `/cloudapi/compute/pause`. |
| BPYS-42 | Добавлена функция API `/cloudapi/compute/resume`. |
| BPYS-71 | Функция API `/cloudapi/rg/get`: добавлен атрибут `CloudapiRgGetResultModel.vm_features` в связи с переименованием из `compute_features`. |
| BPYS-71 | Функция API `/cloudapi/rg/list`: добавлен атрибут `CloudapiRgListResultModel.data.vm_features` в связи с переименованием из `compute_features`. |
| BPYS-68 | Добавлена функция API `/cloudbroker/account/create`. |
| BPYS-63 | Добавлены функции API `/cloudapi/image/get`, `/cloudapi/image/list`. |
| BPYS-73 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.vm_ci_id` в связи с переименованием из `compute_ci_id`. |
| BPYS-73 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.vm_ci_id` в связи с переименованием из `compute_ci_id`. |
| BPYS-60 | Добавлены функции API `/cloudapi/vins/get`, `/cloudapi/vins/list`, `/cloudapi/vins/listDeleted`. |
| BPYS-66 | Добавлена функция API `/cloudapi/compute/changeIp`. |
| BPYS-67 | Добавлены функции API `/cloudapi/compute/netAttach`, `/cloudapi/compute/netDetach`. |
| BPYS-70 | Добавлены функции API `/cloudapi/bservice/get`, `/cloudapi/bservice/list`, `/cloudapi/bservice/listDeleted`. |
| BPYS-74 | Добавлена функция API `/cloudapi/bservice/groupGet`. |
| BPYS-75 | Добавлены функции API `/cloudapi/rg/delete`, `/cloudapi/rg/restore`. |
| BPYS-82 | Добавлены функции API `/cloudapi/bservice/create`, `/cloudapi/bservice/delete`, `/cloudapi/bservice/restore`. |
| BPYS-80 | Добавлены функции API `/cloudapi/disks/create`, `/cloudapi/disks/delete`, `/cloudapi/disks/restore`. |
| BPYS-84 | Добавлены функции API `/cloudapi/bservice/disable`, `/cloudapi/bservice/enable`, `/cloudapi/bservice/start`, `/cloudapi/bservice/stop`. |
| BPYS-87 | Добавлены функции API `/cloudapi/bservice/groupAdd`, `/cloudapi/bservice/groupRemove`. |
| BPYS-83 | Добавлены функции API `/cloudapi/image/create`, `/cloudapi/image/createVirtual`, `/cloudapi/image/delete`, `/cloudapi/image/link`, `/cloudapi/image/rename`. |
| BPYS-85 | Добавлены функции API `/cloudapi/extnet/get`, `/cloudapi/extnet/list`, `/cloudapi/extnet/getDefault`. |
| BPYS-88 | Добавлены функции API `/cloudapi/flipgroup/computeAdd`, `/cloudapi/flipgroup/computeRemove`, `/cloudapi/flipgroup/create`, `/cloudapi/flipgroup/delete`, `/cloudapi/flipgroup/edit`, `/cloudapi/flipgroup/get`, `/cloudapi/flipgroup/list`. |
| BPYS-78 | Добавлены функции API `/cloudapi/vins/createInAccount`, `/cloudapi/vins/createInRG`, `/cloudapi/vins/delete`, `/cloudapi/vins/restore`. |
| BPYS-76 | Добавлена функция API `/cloudapi/rg/update`. |
| BPYS-91 | Добавлены функции API `/cloudapi/bservice/groupComputeRemove`, `/cloudapi/bservice/groupParentAdd`, `/cloudapi/bservice/groupParentRemove`, `/cloudapi/bservice/groupResize`, `/cloudapi/bservice/groupStart`, `/cloudapi/bservice/groupStop`, `/cloudapi/bservice/groupUpdate`, `/cloudapi/bservice/groupUpdateExtnet`, `/cloudapi/bservice/groupUpdateVins` . |
| BPYS-77 | Добавлены функции API `/cloudapi/rg/setDefNet`, `/cloudapi/rg/removeDefNet`. |
| BPYS-81 | Добавлены функции API `/cloudapi/account/delete`, `/cloudapi/account/restore`. |
| BPYS-119 | Добавлена функция API `/cloudapi/compute/clone`. |
| BPYS-79 | Добавлены функции API `/cloudapi/lb/get`, `/cloudapi/lb/list`, `/cloudapi/lb/listDeleted`, `cloudapi/lb/create`, `/cloudapi/lb/delete`. |
| BPYS-95 | Добавлены функции API `/cloudapi/rg/accessGrant`, `/cloudapi/rg/accessRevoke`. |
| BPYS-93 | Добавлены функции API `/cloudapi/disks/deleteDisks`, `/cloudapi/disks/limitIO`, `/cloudapi/disks/listTypes`, `/cloudapi/disks/rename`, `/cloudapi/disks/resize2`, `/cloudapi/disks/share`, `/cloudapi/disks/snapshotDelete`, `/cloudapi/disks/snapshotRollback`, `/cloudapi/disks/unshare`. |
| BPYS-98 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.acl.vm` в связи с переименованием из `compute`. |
| BPYS-98 | Функция API `/cloudapi/compute/get`: для атрибута `CloudapiComputeGetResultModel.affinity_rules.topology` в перечисляемый тип `AffinityTopology` добавлено значение `vm`  в связи с переименованием из `compute`. |
| BPYS-98 | Функция API `/cloudapi/compute/get`: для атрибута `CloudapiComputeGetResultModel.anti_affinity_rules.topology` в перечисляемый тип `AffinityTopology` добавлено значение `vm`  в связи с переименованием из `compute`. |
| BPYS-98 | Функция API `/cloudapi/compute/list`: для атрибута `CloudapiComputeListResultModel.data.affinity_rules.topology` в перечисляемый тип `AffinityTopology` добавлено значение `vm`  в связи с переименованием из `compute`. |
| BPYS-98 | Функция API `/cloudapi/compute/list`: для атрибута `CloudapiComputeListResultModel.data.anti_affinity_rules.topology` в перечисляемый тип `AffinityTopology` добавлено значение `vm`  в связи с переименованием из `compute`. |
| BPYS-98 | Функция API `/cloudapi/rg/get`: для атрибута `CloudapiRgGetResultModel.resource_types` в перечисляемый тип `RGResourceType` добавлено значение `vm`  в связи с переименованием из `compute`. |
| BPYS-98 | Функция API `/cloudapi/rg/list`: для атрибута `CloudapiRgListResultModel.data.resource_types` в перечисляемый тип `RGResourceType` добавлено значение `vm`  в связи с переименованием из `compute`. |
| BPYS-118 | Добавлена функция API `/cloudapi/compute/redeploy`. |
| BPYS-116 | Функция API `/cloudapi/kvmx86/create`: добавлен параметр `cpu_count` в связи с переименованием из `cpu`. |
| BPYS-116 | Функция API `/cloudapi/kvmx86/create`: добавлен параметр `ram_size_mb` в связи с переименованием из `ram`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: добавлен атрибут `CloudapiRgGetResultModel.quotas.cpu_count` в связи с переименованием из `cpu`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: добавлен атрибут `CloudapiRgGetResultModel.quotas.disk_size_gb` в связи с переименованием из `disk_size`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: добавлен атрибут `CloudapiRgGetResultModel.quotas.public_ip_count` в связи с переименованием из `public_ip`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: добавлен атрибут `CloudapiRgGetResultModel.quotas.ram_size_mb` в связи с переименованием из `ram`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: добавлен атрибут `CloudapiRgGetResultModel.quotas.storage_size_gb` в связи с переименованием из `storage`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: добавлен атрибут `CloudapiRgListResultModel.data.quotas.cpu_count` в связи с переименованием из `cpu`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: добавлен атрибут `CloudapiRgListResultModel.data.quotas.disk_size_gb` в связи с переименованием из `disk_size`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: добавлен атрибут `CloudapiRgListResultModel.data.quotas.public_ip_count` в связи с переименованием из `public_ip`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: добавлен атрибут `CloudapiRgListResultModel.data.quotas.ram_size_mb` в связи с переименованием из `ram`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: добавлен атрибут `CloudapiRgListResultModel.data.quotas.storage_size_gb` в связи с переименованием из `storage`. |
| BPYS-116 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.cpu_count` в связи с переименованием из `cpu`. |
| BPYS-116 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.ram_size_mb` в связи с переименованием из `ram`. |
| BPYS-116 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.cpu_count` в связи с переименованием из `cpu`. |
| BPYS-116 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.ram_size_mb` в связи с переименованием из `ram`. |
| BPYS-116 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.boot_disk_size_gb` в связи с переименованием из `boot_disk_size`. |
| BPYS-116 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.boot_disk_size_gb` в связи с переименованием из `boot_disk_size`. |
| BPYS-116 | Функция API `/cloudapi/kvmx86/create`: добавлен параметр `boot_disk_size_gb` в связи с переименованием из `boot_disk_size`. |
| BPYS-116 | Функция API `/cloudapi/kvmx86/createBlank`: добавлен параметр `boot_disk_size_gb` в связи с переименованием из `boot_disk_size`. |
| BPYS-116 | Функция API `/cloudapi/rg/create`: добавлен параметр `cpu_count_quota` в связи с переименованием из `cpu_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/create`: добавлен параметр `public_ip_count_quota` в связи с переименованием из `public_ip_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/create`: добавлен параметр `ram_size_quota_mb` в связи с переименованием из `ram_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/create`: добавлен параметр `storage_size_quota_gb` в связи с переименованием из `storage_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: добавлен атрибут `CloudapiRgGetResultModel.quotas.gpu_count` в связи с переименованием из `gpu`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: добавлен атрибут `CloudapiRgListResultModel.data.quotas.gpu_count` в связи с переименованием из `gpu`. |
| BPYS-116 | Функция API `/cloudapi/rg/update`: добавлен параметр `cpu_count_quota` в связи с переименованием из `cpu_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/update`: добавлен параметр `public_ip_count_quota` в связи с переименованием из `public_ip_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/update`: добавлен параметр `ram_size_quota_mb` в связи с переименованием из `ram_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/update`: добавлен параметр `storage_size_quota_gb` в связи с переименованием из `storage_quota`. |
| BPYS-126 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.vgpus` в связи с переименованием из `gpu_ids`. |
| BPYS-126 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.vgpus` в связи с переименованием из `gpu_ids`. |
| BPYS-96 | Добавлены функции API `cloudapi/rg/enable,`, `cloudapi/rg/disable`. |
| BPYS-138 | Добавлены функции API `/cloudapi/stack/get`, `/cloudapi/stack/list`. |
| BPYS-133 | Добавлены функции API `/cloudapi/locations/getUrl`, `/cloudapi/locations/list`. |
| BPYS-136 | Добавлены функции API `/cloudapi/compute/tagAdd`, `/cloudapi/compute/tagRemove`. |
| BPYS-137 | Добавлены функции API `/cloudapi/compute/cdEject`, `/cloudapi/compute/cdInsert`.|
| BPYS-134 | Добавлены функции API `/cloudapi/compute/diskAdd`, `/cloudapi/compute/diskAttach`, `/cloudapi/compute/diskDetach`, `/cloudapi/compute/diskResize`. |
| BPYS-135 | Добавлены функции API `/cloudapi/compute/affinityRelations`, `/cloudapi/compute/affinityLabelRemove`, `/cloudapi/compute/affinityLabelSet`, `/cloudapi/compute/affinityRuleAdd`, `/cloudapi/compute/affinityRuleRemove`, `/cloudapi/compute/affinityRulesClear`, `/cloudapi/compute/antiAffinityRuleAdd`, `/cloudapi/compute/antiAffinityRuleRemove`, `/cloudapi/compute/antiAffinityRulesClear`. |
| BPYS-131 | Добавлены функции API `/cloudapi/vins/vnfdevRedeploy`, `/cloudapi/vins/vnfdevRestart`. |
| BPYS-143 | Добавлена функция API `/cloudapi/compute/diskDel`. |
| BPYS-132 | Добавлены функции API `/cloudapi/tasks/get`, `/cloudapi/tasks/list`. |
| BPYS-145 | Добавлены функции API `/cloudapi/compute/setCustomFields` `/cloudapi/compute/deleteCustomFields`. |
| BPYS-144 | Добавлены функции API `/cloudapi/compute/snapshotCreate`, `/cloudapi/compute/snapshotList`, `/cloudapi/compute/snapshotRollback`. |
| BPYS-130 | Добавлены функции API `/cloudapi/vins/staticRouteAdd`, `/cloudapi/vins/staticRouteDel`, `/cloudapi/vins/staticRouteList`. |
| BPYS-171 | Добавлены функции API `/cloudapi/lb/backendCreate`, `/cloudapi/lb/backendDelete`, `/cloudapi/lb/backendServerAdd`, `/cloudapi/lb/backendServerDelete`, `/cloudapi/lb/backendServerUpdate`, `/cloudapi/lb/backendUpdate`. |
| BPYS-146 | Добавлены функции API `/cloudapi/compute/pinToStack`, `/cloudapi/compute/unpinFromStack`. |
| BPYS-182 | Добавлены функции API `/cloudapi/vins/ipList`, `/cloudapi/vins/ipReserve`, `/cloudapi/vins/ipRelease`. |
| BPYS-196 | Функция API `/cloudapi/compute/get`: добавлен атрибут `CloudapiComputeGetResultModel.cdrom_image_id` в связи с переименованием из `cd_image_id`. |
| BPYS-196 | Функция API `/cloudapi/compute/list`: добавлен атрибут `CloudapiComputeListResultModel.data.cdrom_image_id` в связи с переименованием из `cd_image_id`. |
| BPYS-147 | Добавлены функции API `/cloudapi/compute/pfwAdd`, `/cloudapi/compute/pfwDel`, `/cloudapi/compute/pfwList`. |
| BPYS-148 | Функция API `/cloudapi/kvmx86/create`: у параметра `data_disks` в модели `DiskAPIParamsNM` добавлен атрибут `size_gb` в связи с переименованием из `size`. |

## Удалено

### Функциональный интерфейс
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BPYS-59 | Функция API `/cloudapi/compute/get`: удален атрибут `CloudapiComputeGetResultModel.disks.shareable` в связи с переименованием в `shared`. |
| BPYS-61 | Функция API `/cloudapi/compute/get`: удалён атрибут `CloudapiComputeGetResultModel.disks.images` в связи с переименованием в `image_ids`. |
| BPYS-61 | Функция API `/cloudapi/compute/list`: удалён атрибут `CloudapiComputeListResultModel.data.disks.images` в связи с переименованием в `image_ids`. |
| BPYS-62 | Функция API `/cloudapi/compute/get`: удалён параметр `compute_id` в связи с переименованием в `vm_id`. |
| BPYS-62 | Функция API `/cloudapi/compute/update`: удалён параметр `compute_id` в связи с переименованием в `vm_id`. |
| BPYS-62 | Функция API `/cloudapi/compute/delete`: удалён параметр `compute_id` в связи с переименованием в `vm_id`. |
| BPYS-71 | Функция API `/cloudapi/rg/get`: удален атрибут `CloudapiRgGetResultModel.compute_features` в связи с переименованием в `vm_features`. |
| BPYS-71 | Функция API `/cloudapi/rg/list`: удален атрибут `CloudapiRgListResultModel.data.compute_features` в связи с переименованием в `vm_features`. |
| BPYS-73 | Функция API `/cloudapi/compute/get`: удалён параметр `CloudapiComputeGetResultModel.compute_ci_id` в связи с переименованием в `vm_ci_id`. |
| BPYS-73 | Функция API `/cloudapi/compute/list`: удалён параметр `CloudapiComputeListResultModel.data.compute_ci_id` в связи с переименованием в `vm_ci_id`. |
| BPYS-98 | Функция API `/cloudapi/compute/get`: удален атрибут `CloudapiComputeGetResultModel.acl.compute` в связи с переименованием в `vm`. |
| BPYS-98 | Функция API `/cloudapi/compute/get`: для атрибута `CloudapiComputeGetResultModel.affinity_rules.topology` из перечисляемого типа `AffinityTopology` удалено значение `compute`  в связи с переименованием в `vm`. |
| BPYS-98 | Функция API `/cloudapi/compute/get`: для атрибута `CloudapiComputeGetResultModel.anti_affinity_rules.topology` из перечисляемого типа `AffinityTopology` удалено значение `compute`  в связи с переименованием в `vm`. |
| BPYS-98 | Функция API `/cloudapi/compute/list`: для атрибута `CloudapiComputeListResultModel.data.affinity_rules.topology` из перечисляемого типа `AffinityTopology` удалено значение `compute`  в связи с переименованием в `vm`. |
| BPYS-98 | Функция API `/cloudapi/compute/list`: для атрибута `CloudapiComputeListResultModel.data.anti_affinity_rules.topology` из перечисляемого типа `AffinityTopology` удалено значение `compute`  в связи с переименованием в `vm`. |
| BPYS-98 | Функция API `/cloudapi/rg/get`: для атрибута `CloudapiRgGetResultModel.resource_types` из перечисляемого типа `RGResourceType` удалено значение `compute`  в связи с переименованием в `vm`. |
| BPYS-98 | Функция API `/cloudapi/rg/list`: для атрибута `CloudapiRgListResultModel.data.resource_types` из перечисляемого типа `RGResourceType` удалено значение `compute`  в связи с переименованием в `vm`. |
| BPYS-116 | Функция API `/cloudapi/kvmx86/create`: удалён параметр `cpu` в связи с переименованием в `cpu_count`. |
| BPYS-116 | Функция API `/cloudapi/kvmx86/create`: удалён параметр `ram` в связи с переименованием в `ram_size_mb`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: удален атрибут `CloudapiRgGetResultModel.quotas.cpu` в связи с переименованием в `cpu_count`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: удален атрибут `CloudapiRgGetResultModel.quotas.disk_size` в связи с переименованием в `disk_size_gb`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: удален атрибут `CloudapiRgGetResultModel.quotas.public_ip` в связи с переименованием в `public_ip_count`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: удален атрибут `CloudapiRgGetResultModel.quotas.ram` в связи с переименованием в `ram_size_mb`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: удален атрибут `CloudapiRgGetResultModel.quotas.storage` в связи с переименованием в `storage_size_gb`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: удален атрибут `CloudapiRgListResultModel.data.quotas.cpu` в связи с переименованием в `cpu_count`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: удален атрибут `CloudapiRgListResultModel.data.quotas.disk_size` в связи с переименованием в `disk_size_gb`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: удален атрибут `CloudapiRgListResultModel.data.quotas.public_ip` в связи с переименованием в `public_ip_count`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: удален атрибут `CloudapiRgListResultModel.data.quotas.ram` в связи с переименованием в `ram_size_mb`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: удален атрибут `CloudapiRgListResultModel.data.quotas.storage` в связи с переименованием в `storage_size_gb`. |
| BPYS-116 | Функция API `/cloudapi/compute/get`: удален атрибут `CloudapiComputeGetResultModel.cpu` в связи с переименованием в `cpu_count`. |
| BPYS-116 | Функция API `/cloudapi/compute/get`: удален атрибут `CloudapiComputeGetResultModel.ram` в связи с переименованием в `ram_size_mb`. |
| BPYS-116 | Функция API `/cloudapi/compute/list`: удален атрибут `CloudapiComputeListResultModel.data.cpu` в связи с переименованием в `cpu_count`. |
| BPYS-116 | Функция API `/cloudapi/compute/list`: удален атрибут `CloudapiComputeListResultModel.data.ram` в связи с переименованием в `ram_size_mb`. |
| BPYS-116 | Функция API `/cloudapi/compute/get`: удален атрибут `CloudapiComputeGetResultModel.boot_disk_size` в связи с переименованием в `boot_disk_size_gb`. |
| BPYS-116 | Функция API `/cloudapi/compute/get`: удален атрибут `CloudapiComputeGetResultModel.boot_disk_size` в связи с переименованием в `boot_disk_size_gb`. |
| BPYS-116 | Функция API `/cloudapi/compute/list`: удален атрибут `CloudapiComputeListResultModel.data.boot_disk_size` в связи с переименованием в `boot_disk_size_gb`. |
| BPYS-116 | Функция API `/cloudapi/compute/list`: удален атрибут `CloudapiComputeListResultModel.data.boot_disk_size` в связи с переименованием в `boot_disk_size_gb`. |
| BPYS-116 | Функция API `/cloudapi/kvmx86/create`: удален параметр `boot_disk_size_gb` в связи с переименованием в `boot_disk_size`. |
| BPYS-116 | Функция API `/cloudapi/kvmx86/createBlank`: удален параметр `boot_disk_size_gb` в связи с переименованием в `boot_disk_size`. |
| BPYS-116 | Функция API `/cloudapi/rg/create`: удален параметр `cpu_quota` в связи с переименованием в `cpu_count_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/create`: удален параметр `public_ip_quota` в связи с переименованием в `public_ip_count_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/create`: удален параметр `ram_quota` в связи с переименованием в `ram_size_quota_mb`. |
| BPYS-116 | Функция API `/cloudapi/rg/create`: удален параметр `storage_size_quota_gb` в связи с переименованием в `storage_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: удален атрибут `CloudapiRgGetResultModel.quotas.gpu` в связи с переименованием в `gpu_count`. |
| BPYS-116 | Функция API `/cloudapi/rg/get`: удален атрибут `CloudapiRgGetResultModel.quotas.gpu` в связи с переименованием в `gpu_count`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: удален атрибут `CloudapiRgListResultModel.data.quotas.gpu` в связи с переименованием в `gpu_count`. |
| BPYS-116 | Функция API `/cloudapi/rg/list`: удален атрибут `CloudapiRgListResultModel.data.quotas.gpu` в связи с переименованием в `gpu_count`. |
| BPYS-116 | Функция API `/cloudapi/rg/update`: удален параметр `cpu_quota` в связи с переименованием в `cpu_count_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/update`: удален параметр `public_ip_quota` в связи с переименованием в `public_ip_count_quota`. |
| BPYS-116 | Функция API `/cloudapi/rg/update`: удален параметр `ram_quota` в связи с переименованием в `ram_size_quota_mb`. |
| BPYS-116 | Функция API `/cloudapi/rg/update`: удален параметр `storage_quota` в связи с переименованием в `storage_size_quota_gb`. |
| BPYS-126 | Функция API `/cloudapi/compute/get`: удален атрибут `CloudapiComputeGetResultModel.gpu_ids` в связи с переименованием в `vgpus`. |
| BPYS-126 | Функция API `/cloudapi/compute/list`: удален атрибут `CloudapiComputeListResultModel.data.gpu_ids` в связи с переименованием в `vgpus`. |
| BPYS-120 | Добавлены функции API `/cloudapi/compute/userGrant`, `/cloudapi/compute/userList`, `/cloudapi/compute/userRevoke`, `/cloudapi/compute/userUpdate`. |
| BPYS-196 | Функция API `/cloudapi/compute/get`: удален атрибут `CloudapiComputeGetResultModel.cd_image_id` в связи с переименованием в `cdrom_image_id`. |
| BPYS-196 | Функция API `/cloudapi/compute/list`: удален атрибут `CloudapiComputeListResultModel.data.cd_image_id` в связи с переименованием в `cdrom_image_id`. |
| BPYS-148 | Функция API `/cloudapi/kvmx86/create`: у параметра `data_disks` в модели `DiskAPIParamsNM` удален атрибут `size` в связи с переименованием в `size_gb`. |

## Исправлено

### Функциональный интерфейс
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BPYS-62 | Функция API `/cloudapi/compute/get`: имя атрибута `CloudapiComputeGetResultModel.vns_password` исправлено на `vnc_password`. |
| BPYS-126 | Вызов функции `/cloudapi/compute/get` завершался ошибкой валидации атрибута `CloudapiComputeGetResultModel.gpu_ids` при наличии соответствующих данных в ответе API. |
| BPYS-126 | Вызов функции `/cloudapi/compute/list` завершался ошибкой валидации атрибута `CloudapiComputeListResultModel.data.gpu_ids` при наличии соответствующих данных в ответе API. |
