import dynamix_sdk.base as _base
from .account import *
from .bservice import *
from .compute import *
from .disks import *
from .extnet import *
from .flipgroup import *
from .image import *
from .kvmx86 import *
from .lb import *
from .locations import *
from .rg import *
from .stack import *
from .tasks import *
from .user import *
from .vins import *


class CloudapiAPI(_base.BaseAPI):
    account: CloudapiAccountAPI
    bservice: CloudapiBserviceAPI
    compute: CloudapiComputeAPI
    disks: CloudapiDisksAPI
    extnet: CloudapiExtnetAPI
    flipgroup: CloudapiFlipgroupAPI
    image: CloudapiImageAPI
    kvmx86: CloudapiKvmx86API
    lb: CloudapiLbAPI
    locations: CloudapiLocationsAPI
    rg: CloudapiRgAPI
    stack: CloudapiStackAPI
    tasks: CloudapiTasksAPI
    user: CloudapiUserAPI
    vins: CloudapiVinsAPI
