import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiBserviceGetResultModel(
    _base.BaseAPIResultModel,
    _nested.BaseBServiceAPIResultNM,
):
    cpu_count_total: int
    disk_size_total_gb: int
    groups: list[_nested.BServiceGroupAPIResultNM]
    milestones: int
    ram_size_total_mb: int
    snapshots: list[_nested.BServiceSnapshotAPIResultNM]
    ssh_key: str
    vms: list[_nested.BServiceVMAPIResultNM]


class CloudapiBserviceGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        bservice_id: int,
    ) -> CloudapiBserviceGetResultModel:
        ...
