import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiDisksGetResultModel(
    _base.BaseAPIResultModel, _nested.BaseDiskForCADisksAPIResultNM
):
    vms: dict[str, str]
    device_name: str
    sep_type: _nested.SEPType


class CloudapiDisksGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        disk_id: int,
    ) -> CloudapiDisksGetResultModel: ...
