import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiStackGetResultModel(
    _base.BaseAPIResultModel,
    _nested.StackAPIResultNM
):
    cpu_allocation_ratio: float
    description: str
    drivers: list[_nested.Driver]
    mem_allocation_ratio: float


class CloudapiStackGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        stack_id: int,
    ) -> CloudapiStackGetResultModel:
        ...
