import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiComputeGetResultModel(
    _base.BaseAPIResultModel,
    _nested.BaseVMAPIResultNM,
):
    acl: _nested.VMACLForComputeGetAPIResultNM
    ci_user_data: dict
    disks: list[_nested.DiskForCAComputeGetAPIResultNM]
    image_name: None | str
    interfaces: list[_nested.InterfaceForComputeGetAPIResultNM]
    os_users: list[_nested.OSUserAPIResultNM]
    virtual_image_name: None | str
    vnc_password: str

    natable_vins_id: int = 0
    natable_vins_ip: str = ''
    natable_vins_name: str = ''
    natable_vins_network: str = ''
    natable_vins_network_name: str = ''


class CloudapiComputeGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeGetResultModel:
        ...
