import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiExtnetGetResultModel(
    _base.BaseAPIResultModel,
    _nested.ExtNetForListAPIResultNM,
):
    check_ips: list[str]
    default_qos: _nested.QOSAPIResultNM
    default: bool
    description: str
    dns_servers: list[str]
    dhcp_excluded_reservations: list[_nested.DHCPReservationAPIResultNM]
    free_ip_count: int
    gateway: str
    grid_id: int
    guid: int
    milestones: int
    net_ip: str
    network_id: int
    ovs_bridge: str
    pre_reservation_count: int
    net_mask: int
    primary_vnfdev_id: int
    dhcp_reservations: list[_nested.DHCPReservationAPIResultNM]
    shared_with: list[int]
    vlan_id: int
    vnf_ids_by_type: dict[str, int]


class CloudapiExtnetGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        ext_net_id: int,
    ) -> CloudapiExtnetGetResultModel:
        ...
