import dynamix_sdk.base as _base
from .backend_create import *
from .backend_delete import *
from .backend_server_add import *
from .backend_server_delete import *
from .backend_server_update import *
from .backend_update import *
from .create import *
from .delete import *
from .get import *
from .list import *
from .list_deleted import *


class CloudapiLbAPI(
    _base.BaseAPI,
    CloudapiLbBackendCreateProtocol,
    CloudapiLbBackendDeleteProtocol,
    CloudapiLbBackendServerAddProtocol,
    CloudapiLbBackendServerDeleteProtocol,
    CloudapiLbBackendServerUpdateProtocol,
    CloudapiLbBackendUpdateProtocol,
    CloudapiLbCreateProtocol,
    CloudapiLbDeleteProtocol,
    CloudapiLbGetProtocol,
    CloudapiLbListDeletedProtocol,
    CloudapiLbListProtocol,
):
    pass
