import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiVinsGetResultModel(
    _base.BaseAPIResultModel,
    _nested.BaseVINSAPIResultNM,
):
    default_gw: str
    default_qos: _nested.QOSAPIResultNM
    description: None | str
    grid_id: int
    guid: int
    lock_status: _nested.LockStatus
    manager_id: int
    manager_type: str
    milestones: int
    net_mask: int
    pre_reservation_count: int
    redundant: bool
    secondary_vnfdev_id: int
    user_managed: bool
    vms: list[_nested.VINSVMAPIResultNM]
    vnfdev: _nested.VNFDevAPIResultNM
    vnfs: _nested.VNFSAPIResultNM


class CloudapiVinsGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        vins_id: int,
    ) -> CloudapiVinsGetResultModel:
        ...
